Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class BuildHibernateDao

    java.lang.Object
      HibernateObjectDao
          com.atlassian.bamboo.persistence.BambooHibernateObjectDao
              com.atlassian.bamboo.build.BuildHibernateDao

All Implemented Interfaces:
  BuildDao, BambooObjectDao

    public class BuildHibernateDao

extends BambooHibernateObjectDao
implements BuildDao

Constructor Summary
`BuildHibernateDao()`

Method Summary
`void` | `addChildBuild(Build build, String childBuildKey)`
`Collection` | `getAllBuilds()` Returns all builds in the system
`Build` | `getBuildByKey(String key)` Returns a `Build` object that matches the key.
`Build` | `getBuildByName(String buildName)`
`Build` | `getBuildByProjectAndName(String projectKey, String buildName)`
`Class` | `getPersistentClass()`
`boolean` | `isExistingBuildKey(String projectKey, String buildKey)`
`boolean` | `isExistingBuildName(String projectKey, String buildName)`
`int` | `retrieveNextBuildNumber(Build build)`
`void` | `saveBuild(Build build)`
`void` | `saveBuildAndDefinition(Build build)`
`void` | `updateBuild(Build build)`

Methods inherited from class com.atlassian.bamboo.persistence.BambooHibernateObjectDao
`findById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Constructor Detail

### BuildHibernateDao

    public BuildHibernateDao()

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getBuildByKey

    public Build getBuildByKey(String key)

  Description copied from interface: `BuildDao`
  Returns a `Build` object that matches the key.

  Specified by:
    `getBuildByKey` in interface `BuildDao`
  Parameters:
    `key` - - must not be null
  Returns:
    the `Build`. Null if not founf

### getAllBuilds

    public Collection getAllBuilds()

  Description copied from interface: `BuildDao`
  Returns all builds in the system

  Specified by:
    `getAllBuilds` in interface `BuildDao`
  Returns:
    `Collections.EMPTY_LIST`

### updateBuild

    public void updateBuild(Build build)

  Specified by:
    `updateBuild` in interface `BuildDao`

### getBuildByName

    public Build getBuildByName(String buildName)

  Specified by:
    `getBuildByName` in interface `BuildDao`

### saveBuildAndDefinition

    public void saveBuildAndDefinition(Build build)

  Specified by:
    `saveBuildAndDefinition` in interface `BuildDao`

### saveBuild

    public void saveBuild(Build build)

  Specified by:
    `saveBuild` in interface `BuildDao`

### retrieveNextBuildNumber

    public int retrieveNextBuildNumber(Build build)

  Specified by:
    `retrieveNextBuildNumber` in interface `BuildDao`

### isExistingBuildName

    public boolean isExistingBuildName(String projectKey,
                                       String buildName)

  Specified by:
    `isExistingBuildName` in interface `BuildDao`

### getBuildByProjectAndName

    public Build getBuildByProjectAndName(String projectKey,
                                          String buildName)

  Specified by:
    `getBuildByProjectAndName` in interface `BuildDao`

### isExistingBuildKey

    public boolean isExistingBuildKey(String projectKey,
                                      String buildKey)

  Specified by:
    `isExistingBuildKey` in interface `BuildDao`

### addChildBuild

    public void addChildBuild(Build build,
                              String childBuildKey)

  Specified by:
    `addChildBuild` in interface `BuildDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.